﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace XamDataChartMarkers
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            var Trades = new ObservableCollection<LiveViewDataPoint>();

            Trades.Add(new LiveViewDataPoint() { Date = 25, Price1 = 25.68, Price2 = 125.68 });
            Trades.Add(new LiveViewDataPoint() { Date = 25, Price1 = 5.68, Price2 = 251.68 });
            Trades.Add(new LiveViewDataPoint() { Date = 58, Price1 = 45.56, Price2 = 3.68 });
            Trades.Add(new LiveViewDataPoint() { Date = 165, Price1 = 125.68, Price2 = 69.68 });

            this.xamChart1.DataContext = Trades;
        }
    }

    public class LiveViewDataPoint
    {
        public int Date { get; set; }
        public double Price1 { get; set; }
        public double Price2 { get; set; }
    }

}